!***********************************************************************
!*   
!*   Licensed Materials - Property of IBM.
!*   IBM XL Fortran Advanced Edition V10.1 for Linux (5724-M17)
!*   Copyright IBM Corp. 2003, 2006.
!*   All Rights Reserved.
!*   US Government Users Restricted Rights - 
!*   Use, duplication or disclosure restricted by 
!*   GSA ADP Schedule Contract with IBM Corp.
!*
!***********************************************************************

! Definitions of the 'command' argument of the service routine FIOSETUP_
      integer(4) IO_CMD_FLUSH_AFTER_WRITE, IO_CMD_FLUSH_BEFORE_READ 
      parameter (IO_CMD_FLUSH_AFTER_WRITE = 1)
      parameter (IO_CMD_FLUSH_BEFORE_READ = 2)

! Definitions of the 'argument' argument of the service routine FIOSETUP_ 
      integer(4) IO_ARG_FLUSH_NO, IO_ARG_FLUSH_YES
      parameter (IO_ARG_FLUSH_NO = 0)
      parameter (IO_ARG_FLUSH_YES = 1)

! Definitions of the error return codes of the service routine FIOSETUP_
      integer(4) IO_ERR_NO_RTE, IO_ERR_BAD_UNIT
      integer(4) IO_ERR_BAD_CMD, IO_ERR_BAD_ARG
      parameter (IO_ERR_NO_RTE = 1000)        ! XLF RTE is not running.
      parameter (IO_ERR_BAD_UNIT = 1001)      ! Specified unit is unconnected.
      parameter (IO_ERR_BAD_CMD = 1002)       ! Invalid command.
      parameter (IO_ERR_BAD_ARG = 1003)       ! Invalid argument.

      external fiosetup_

