/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   IBM XL Fortran Advanced Edition V10.1 for Linux (5724-M17)       */
/*   Copyright IBM Corp. 2003, 2006.                                  */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#include <stdio.h>
#include <stdlib.h>

typedef struct MY_STRUCT {
  int *p;
} MY_STRUCT;

extern void sub (MY_STRUCT *);

int
main ()
{
  MY_STRUCT mystruct;

  mystruct.p = (int *) malloc (sizeof(int));
  sub (&mystruct);   /* Output should be "0" */

  *(mystruct.p) = 2;
  sub (&mystruct);   /* Output should be "2" */

  free (mystruct.p);

  exit(0);
}
